#include <bits/stdc++.h>

using namespace std;

std::vector<int> problem;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n, q;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    cin>>q;
    for(int i=1;i<n;i++)
        if(a[i-1]>a[i])
            problem.push_back(i);
    while(q--)
    {
        int l, r;
        cin>>l>>r;
        l--;
        int problemi = 0;
        for(auto& i:problem)
            if(i>=l && i < r)
            {
                problemi++;
                if(problemi > 1)
                {
                    cout<<"NE\n";
                    break;
                }
            }

        if(problemi < 2)
            cout<<"DA\n";
    }
    return 0;
}